> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtem as areas de cobertura das coordenadas



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json get /v1/coverage-areas/{longitude},{latitude}
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/coverage-areas/{longitude},{latitude}:
    get:
      tags:
        - CoverageAreas
      summary: Obtem as areas de cobertura das coordenadas
      parameters:
        - name: longitude
          in: path
          description: Longitude em graus decimais
          required: true
          schema:
            type: number
            format: double
        - name: latitude
          in: path
          description: Latitude em graus decimais
          required: true
          schema:
            type: number
            format: double
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DeliveryCoverageAreaDtoIDataListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryCoverageAreaDtoIDataListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DeliveryCoverageAreaDtoIDataListResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    DeliveryCoverageAreaDtoIDataListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryCoverageAreaDto'
          nullable: true
          readOnly: true
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    DeliveryCoverageAreaDto:
      type: object
      properties:
        dealerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        estimatedDeliveryDistance:
          type: integer
          format: int64
        estimatedTimeArrival:
          type: string
          format: date-span
        open:
          type: boolean
        openingHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHourDto'
          nullable: true
        holidayOpeningHours:
          type: array
          items:
            $ref: '#/components/schemas/OpeningHourDto'
          nullable: true
        holidays:
          type: array
          items:
            $ref: '#/components/schemas/HolidayWeekDayDto'
          nullable: true
        id:
          type: string
          format: uuid
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    OpeningHourDto:
      type: object
      properties:
        day:
          type: string
          nullable: true
        open:
          type: string
          nullable: true
        close:
          type: string
          nullable: true
        enabled:
          type: boolean
      additionalProperties: false
    HolidayWeekDayDto:
      type: object
      properties:
        description:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
        dayOfWeek:
          $ref: '#/components/schemas/DayOfWeek'
      additionalProperties: false
    DayOfWeek:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````